Docs

Get Department Roll Up Schedule

GET /Organizations/{orgId}/departments/{departmentId}/schedule

GET/Organizations/{orgId}/departments/{departmentId}/schedule

Lists the activities of the organization's active events that include crew from collaborators in one department. The orgId comes from the Organization API's Users_GetOrganizations and the department id from its Organizations_GetDepartments; needs the organization basic access permission.

Path Parameters

FieldTypeRequiredDescription
orgIduuidRequired
departmentIduuidRequired

Response

Type: GetDepartmentActivitiesRollUpResponse[]

GetDepartmentActivitiesRollUpResponse

FieldTypeDescription
iduuid
eventIduuid
typestring| null
namestring| null
startDateTimedate-time
endDateTimedate-time
isAllDayboolean
recurrenceRulesGetDepartmentActivitiesRollUpResponseRecurrenceRule
crewGetDepartmentActivitiesRollUpResponseParticipant[]| null

GetDepartmentActivitiesRollUpResponseRecurrenceRule

FieldTypeDescription
frequencystring| null
intervalinteger
daysOfWeekstring[]| null
endDatedate-time

GetDepartmentActivitiesRollUpResponseParticipant

FieldTypeDescription
iduuid
namestring| null
connectedUserIduuid| null